SND_COMPONENT_ADD(9)

NAME
snd_component_add - add a component string

SYNOPSIS

int snd_component_add (struct snd_card * card, const char * component);

ARGUMENTS

card
    soundcard structure

component
    the component id string

DESCRIPTION

This function adds the component id string to the supported list. The component can be referred from the alsa-lib.

Returns zero otherwise a negative error code.